package org.academiadecodigo.enuminatti.fx.calculator;

import javafx.application.Application;
import javafx.stage.Stage;

public class Main extends Application {

    public static void main(String[] args) {
        Application.launch(args);
    }

    @Override
    public void start(Stage primaryStage) throws Exception {

        CalculatorBrain brain = new CalculatorBrain();
        Controller controller = new Controller();
        CalculatorUI ui = new CalculatorUI();

        controller.setBrain(brain);
        controller.setUi(ui);

        ui.setHandler(controller);

        ui.start(primaryStage);

    }

}
